# Azure::Core

[![Build Status](https://travis-ci.org/Azure/azure-ruby-asm-core.png?branch=master)](https://travis-ci.org/Azure/azure-ruby-asm-core) 

This project provides a Ruby package with core functionality consumed by Azure SDK gems.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'azure-core'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install azure-core

## Usage
```ruby
 require 'azure/core'
```

## Development

After checking out the repo, run `bundle install` to install dependencies. Then, run `rake test` to run the tests.

## Provide Feedback

If you encounter any bugs with the library please file an issue.
